<template>

<!-- ==============================================================================
                                HEADER
============================================================================== -->
    <div class="SectionHeader">
      <b-navbar  toggleable class="main-navbar" >
        <b-container>
          <b-navbar-brand class="logo"><img src="@/assets/logom.png"></b-navbar-brand>
          <b-navbar-toggle target="nav_dropdown_collapse"></b-navbar-toggle>
            <b-collapse is-nav id="nav_dropdown_collapse">
              <b-navbar-nav class="ml-auto">
                <b-nav-item v-for="menu in menus" :key="menu.id" class="menu">{{menu.text}}</b-nav-item>
              </b-navbar-nav>
            </b-collapse>
        </b-container>
      </b-navbar>          
    </div>
    
</template>

<script>

  export default {
  name: 'SectionHeader',
  data(){
      return{
          menus: [
              {
                  id: 1,
                  text: 'About',
                  url: '#about'
              },
              {
                  id: 2,
                  text: 'Features',
                  url: '#features'
              },
              {
                  id: 3,
                  text: 'Downloads',
                  url: '#downloads'
              },
              {
                  id: 4,
                  text: 'Contact Us',
                  url: '#contact-us'
              }
          ]
      }
  }
}
</script>
<style scoped>

/* ==============================================
                    GENERAL
============================================== */

@import url('https://fonts.googleapis.com/css?family=Roboto:700');



.SectionHeader{
  margin-top: -60px;
  font-family: 'Roboto', sans-serif;
  background-color: rgb(41, 108, 141);    
}




/* ==============================================
                    NAVBAR
============================================== */

.logo{
  position:inline-block;
  margin-top: -10px;
}
.logo img {

    border-style: none;
    width: 250px;
    padding-top: 19px;
    }
    
.navbar-light .navbar-nav .nav-link{
  color: white;
  font-size: 15px;
  margin-top: -5px;
}

/* ==============================================
                    DEKSTOP ONLY
============================================== */
@media (min-width: 992px) { 

.SectionHeader{
  background-color: rgb(41, 108, 141);
  margin-top: -60px;
  font-family: 'Roboto', sans-serif;
}

.logo{
  margin-left: 10px;
}

.logo img {
    border-style: none;
    width: 350px;
    padding-top: 19px;
}

.navbar-light .navbar-nav .nav-link{
  text-transform: uppercase;
  margin-left: 40px;
  color: white;
  font-size: 15px;
  margin-top: -10px;
}

.navbar-light .navbar-nav .nav-link:hover::after{
      content: '';
      display: block;
      border-bottom: 3px solid #6b3;
      width: 50%;
      margin: auto;
      padding-bottom: 5px;
      margin-bottom: -8px;
    }

}

</style>
